Smart Archives v1.9.1

September 25, 2007

As a lot of people seem to know, WordPress v2.3 was released early this morning, and not an hour after the package went live was I flooded with e-mails about it breaking Smart Archives.

Looks like there are new "terms" tables that overwrite some of the older category tables, including post2cat, which is why the plugin was failing miserably under v2.3.

In any event, I've resolved the issue; after nailing down the problem, the solution was quite simple and required only a slight modification to the code.

Note that there are now three different versions of Smart Archives (one each for WP v2.0-, v2.1-2.2, and v2.3+).

You should follow me on Twitter here